CREATE TABLE dbo.DhaHistory (
    Id int NOT NULL IDENTITY (1, 1),
    IpAddress VARCHAR(15) NOT NULL,
    AttemptTime DATETIME NOT NULL
)

CREATE TABLE dbo.DhaBlacklist (
    Id int NOT NULL IDENTITY (1, 1),
    IpAddress VARCHAR(15) NOT NULL,
    LastUpdateTime DATETIME NOT NULL
)

ALTER TABLE [dbo].[DhaHistory] ADD CONSTRAINT [PK_DhaHistory_Id] PRIMARY KEY CLUSTERED ([Id])

ALTER TABLE [dbo].[DhaBlacklist] ADD CONSTRAINT [PK_DhaBlacklist_Id] PRIMARY KEY CLUSTERED ([Id])

CREATE NONCLUSTERED INDEX [IDX_DhaHistory_IpAddress] ON [dbo].[DhaHistory] ([IpAddress] ASC)

CREATE NONCLUSTERED INDEX [IDX_DhaHistory_AttemptTime] ON [dbo].[DhaHistory] ([AttemptTime] ASC)

CREATE NONCLUSTERED INDEX [IDX_DhaBlacklist_IpAddress] ON [dbo].[DhaBlacklist] ([IpAddress] ASC)

CREATE NONCLUSTERED INDEX [IDX_DhaBlacklist_LastUpdateTime] ON [dbo].[DhaBlacklist] ([LastUpdateTime] ASC)

